#define FETCH_NIST_BABEL_FILE_FORMAT "MOL"

class fetch_nist_database: public bist_plugin{
public:
  fetch_nist_database(immagine* image, string libpath);
  virtual ~fetch_nist_database();
  
  virtual bool act(int e);
  
  
  virtual void register_plugin();
  virtual bool time_to_act();
  

  virtual bool need_atom();
  virtual bool need_leg();

  virtual string libpath();
  void inizialize();

  virtual std::string menu_path();
protected:

  bool _has_to_act;
  bool _has_acted;

  Fl_Window* _progressw;

};

extern "C" bist_plugin* create_plugin(immagine* imm, string libpath);
extern "C"  void destroy_plugin(bist_plugin* j);

